Bug 449504 - Review Request: ranpwd - A program to generate random passwords
Review Request: ranpwd - A program to generate random passwords
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
: 436930 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 15:57 EDT by Rafał Psota
Modified: 2008-06-26 18:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 18:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
terjeros: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2008-06-02 15:57:06 EDT
Spec URL: http://rafalzaq.nonlogic.org/fedora/ranpwd/ranpwd.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/ranpwd/ranpwd-1.2-1.fc8.src.rpm
Description: A program to generate random passwords using the in-kernel
cryptographically secure random number generator.
Comment 1 Rafał Psota 2008-06-02 15:58:27 EDT
*** Bug 436930 has been marked as a duplicate of this bug. ***
Comment 2 Terje Røsten 2008-06-22 09:43:36 EDT
Why are using closing #436930, are you sure Krzysztof Kurzawski don't want to
maintain the package?



Comment 3 Terje Røsten 2008-06-22 15:38:11 EDT
[ x=ok  -=dont't apply  !=please fix ?=may fix ]

MUST
 [x] rpmlint must be run clean on every package
 [x] package must be named according to the Package Naming Guidelines
 [x] spec file name must match the base package %{name}
 [-] package must meet the Packaging Guidelines
 [x] [GPLv2+] package must be licensed with a Fedora approved license 
 [x] license field in the package spec file must match the actual license
 [-] includes the text of the license(s) in its own file: include in %doc
 [x] be written in American English
 [x] spec file for the package be legible
 [!] sources used to build the package must match the upstream source
 md5sum: ce5bb201130aad92f0f9a90fc8be624f: ok 
 however fix date by using e.g. wget -N
 [x] compile and build into binary rpms on at least one architecture
 http://koji.fedoraproject.org/koji/taskinfo?taskID=675038
 [-] not successfully compil  an architecture: use ExcludeArch
 [x] all build dependencies must be listed in BuildRequires
 [x] spec file MUST handle locales properly
 [-] shared library files not in any default linker paths: ldconfig
 [-] relocatable package: the packager must state this fact
 [-] package must own all directories that it creates
 [x] not any duplicate files in the %files listing
 [x] permissions on files must be set properly
 [x] package must have a %clean section, which contains rm -rf %{buildroot}
 [x] consistently use macros
 [x] must contain code, or permissable content
 [-] large docs should go in a -doc subpackage
 [-] %doc must not affect the runtime of the application
 [-] header files must be in a -devel package
 [-] static libraries must be in a -static package
 [-] containing pkgconfig(.pc) files must 'Requires: pkgconfig'
 [-] library files that end in .so: go in a -devel package
 [-] devel pkg: require base package using a fully versioned dependency
 [-] no .la libtool archives
 [-] gui app include a %{name}.desktop file
 [+] must not own files or directories already owned by other packages
 [+] %install includes rm -rf %{buildroot}
 [+]  filenames in rpm packages must be valid UTF-8
SHOULD
 [?] nice you if ping upstream about missing license text
 [+] translations if description and summary sections
 [+] test that the package builds in mock
 http://koji.fedoraproject.org/koji/taskinfo?taskID=675038
 [+] compile and build into binary rpms on all archs
 http://koji.fedoraproject.org/koji/taskinfo?taskID=675038 
 [+] package functions as described
 [-] those scriptlets are sane
 [-] subpackages require the base packag  fully versioned dep
 [-] pkgconfig(.pc) in devel
 [-] no explicit file dep outside /etc, /bin/, /sbin, /usr/{sbin,bin}
PEDANTIC
 [?] change  INSTALL="install -p" to INSTALL="%{__install} -p"
 [?] change %{_mandir}/man1/* to %{_mandir}/man1/%{name}.1*



Comment 4 Rafał Psota 2008-06-24 17:36:02 EDT
Yes, I'm sure he don't want to maintain this package.

Fixed version:
Spec URL: http://rafalzaq.nonlogic.org/fedora/ranpwd/ranpwd.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/ranpwd/ranpwd-1.2-2.fc8.src.rpm
Comment 5 Terje Røsten 2008-06-25 15:02:27 EDT
Thanks Rafalm, all issues are fixed, this package  - ranpwd -  is APPROVED.
Comment 6 Rafał Psota 2008-06-25 17:37:41 EDT
New Package CVS Request
=======================
Package Name: ranpwd
Short Description: A program to generate random passwords
Owners: rafalzaq
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-06-25 19:13:29 EDT
cvs done.
Comment 8 Rafał Psota 2008-06-26 18:31:20 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.